petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetFromOptions

sets parameters in a DM from the options database

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetFromOptions(DM dm)

Collective on DM Many br

### Input Parameter

dm -the DM object to set options for Many br

### Options Database

| -dm_preallocate_only | - Only preallocate the matrix for DMCreateMatrix(), but do not fill it with zeros Many br
| -dm_vec_type <type> | - type of vector to create inside DM Many br
| -dm_mat_type <type> | - type of matrix to create inside DM Many br
| -dm_coloring_type | - <global or ghosted> Many br

Many br

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex35.cxx.html